

/*
 * Copyright (c) 2002 Regents of The University of Michigan.
 * All Rights Reserved.  See COPYRIGHT.
 */

#define CONSOLE		0
#define DBVIEWER	1
#define EVENTVIEWER	2
#define CUSTOMLOG	3

///#define ERROR_TRACE	-1
///0001 0000 0000 0000 0000 0000 0000 0000 
#define CS_ERROR_BASE (1<<29)
#define CS_INFO     (CS_ERROR_BASE + 1)
#define CS_ERROR	(CS_ERROR_BASE + 2)

int
InitLog( int, int, char*, DWORD, char* );

void
CloseLog();

void
CosignLog( DWORD, char*, ... );


void
CSReportEvent( WORD, WORD, DWORD, WORD, LPCTSTR* );

#ifdef _DEBUG
#define CSDEBUG0( reason, msg ) CosignLog( reason, msg )
#define CSDEBUG1( reason, msg, arg1 ) CosignLog( reason, msg, arg1 )
#define CSDEBUG2( reason, msg, arg1, arg2 ) CosignLog( reason, msg, arg1, arg2 )
#define CSDEBUG3( reason, msg, arg1, arg2, arg3 ) CosignLog( reason, msg, arg1, arg2, arg3 )
#else
#define CSDEBUG0( reason, msg ) 
#define CSDEBUG1( reason, msg, arg1 )
#define CSDEBUG2( reason, msg, arg1, arg2 )
#define CSDEBUG3( reason, msg, arg1, arg2, arg3 )
#endif

