/*
 * Copyright (c) 2002 Regents of The University of Michigan.
 * All Rights Reserved.  See COPYRIGHT.
 */

#include <stdio.h>

//Point to your inc32\openssl folder in your openssl installation.
//See http://www.openssl.org for information on installing
//and compiling OpenSSL for Windows
#include "openssl\rand.h"

#include "fbase64.h"

    int
mkcookie( int len, char *buf )
{
    unsigned char	tmp[ 1024 ];
    int			randbytes;			

    len -= 3;
    randbytes = SZ_FBASE64_D( len );
    if (( randbytes <= 0 ) || ( randbytes > sizeof( tmp ))) {
		return( -1 );
    }

    if ( RAND_bytes( tmp, randbytes ) < 0 ) {
        return( -2 );
    }

    fbase64_e( tmp, randbytes, buf );
    return( 0 );
}
